package com.trs.ggzyexchange.datacentercontroller;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.trs.ggzyexchange.api.vo.Result;
import com.trs.ggzyexchange.entity.*;
import com.trs.ggzyexchange.entity.pagedata.*;
import com.trs.ggzyexchange.enums.CommonConstant;
import com.trs.ggzyexchange.service.*;
import com.trs.ggzyexchange.utils.DatesUtil;
import com.trs.ggzyexchange.utils.RedisUtil;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.ObjectUtils;
import org.apache.commons.lang3.time.DateFormatUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Component
public class DataEmploy {

    @Autowired
    private GcProjectService gcProjectService;
    @Autowired
    private QtjyNoticeService qtjyNoticeService;

    @Autowired
    private ZrzyTdCedeNoticeService zrzyTdCedeNoticeService;

    @Autowired
    private ZcProjectService zcProjectService;

    @Autowired
    private CqGqIssueBulletinService cqGqIssueBulletinService;

    @Autowired
    private CqSwIssueBulletinService cqSwIssueBulletinService;

    @Autowired
    private YcNoticeService ycNoticeService;

    @Autowired
    private BulletinService bulletinService;

    @Autowired
    private ZtLegalinfoService ztLegalinfoService;

    @Autowired
    private GcBidpublicityService gcBidpublicityService;

    @Autowired
    private ZrzyTdBidwinnoticeService zrzyTdBidwinnoticeService;

    @Autowired
    private CqSwBargainResultService cqSwBargainResultService;

    @Autowired
    private OtherTradePubInfoService otherTradePubInfoService;

    @Autowired
    private OtherTradeResultInfoService otherTradeResultInfoService;

    @Autowired
    private JgFieldApplyService jgFieldApplyService;

    @Autowired
    private RedisUtil redisUtil;

    @Autowired
    private ZcBidpublicityService zcBidpublicityService;

    @Autowired
    private ZrzyTdCedeResultService zrzyTdCedeResultService;

    @Autowired
    private GcPackageService gcPackageService;

    @Autowired
    private ZrzyTdCedeInfoService zrzyTdCedeInfoService;

    @Autowired
    private ZrzyTkqProjectInfoService zrzyTkqProjectInfoService;

    @Autowired
    private ZrzyCkqProjectInfoService zrzyCkqProjectInfoService;

    @Autowired
    private ZrzyDkProjectService zrzyDkProjectService;

    @Autowired
    private ZrzyBgStockIndexService zrzyBgStockIndexService;

    @Autowired
    private ZrzyJyzbStockIndexService zrzyJyzbStockIndexService;

    @Autowired
    private ZrzyTkqBidwinnoticeService zrzyTkqBidwinnoticeService;

    @Autowired
    private ZrzyCkqBidwinnoticeService zrzyCkqBidwinnoticeService;

    @Autowired
    private ZrzyDkBinwinNoticeService zrzyDkBinwinNoticeService;

    @Autowired
    private ZrzyBgBidwinNoticeService zrzyBgBidwinNoticeService;

    @Autowired
    private ZrzyJyzbBidwinNoticeService zrzyJyzbBidwinNoticeService;

    @Autowired
    private CqGqBargainResultService cqGqBargainResultService;

    @Autowired
    private CqGqProjectService cqGqProjectService;

    @Autowired
    private CqSwProjectService cqSwProjectService;
    /*
     * 内蒙古自治区首页数据中心
     * */
    public HomePageDataCenter queryHomePageDataCenter() {
        HomePageDataCenter homePageDataCenter = new HomePageDataCenter();
        /*入场数据总量*/
        /*入场数据总量*/
        /*入场数据总量*/
        /*入场数据总量*/
        TotalEntryData totalEntryData = new TotalEntryData();
        /*
         * 工程建设
         * */
        int totalzzq = 0;
        int total = 0;
        int totalGCJS = 0;
        int totalZFCG = 0;
        int totalZRZY = 0;
        int totalGYCQ = 0;
        int totalQTJY = 0;
        int totalYC = 0;
        try {
            QueryWrapper<GcPackage> gcProjectQueryWrapperSelf = new QueryWrapper<GcPackage>();
            gcProjectQueryWrapperSelf.eq("PLATFORM_CODE","121500004600236091");
            int countGcProjectSelf = gcPackageService.count(gcProjectQueryWrapperSelf);
            totalzzq = totalzzq + countGcProjectSelf;
        }catch (Exception e){
            e.printStackTrace();
        }
        try {
            QueryWrapper<GcPackage> gcProjectQueryWrapper = new QueryWrapper<GcPackage>();
            int countGcProject = gcPackageService.count(gcProjectQueryWrapper);
            totalGCJS = countGcProject;
            total = total + countGcProject;
        }catch (Exception e){
            e.printStackTrace();
        }
        /*政府采购*/
        try {
            QueryWrapper<ZcProject> zcPurchaseBulletinQueryWrapperSelf = new QueryWrapper<ZcProject>();
            zcPurchaseBulletinQueryWrapperSelf.eq("PLATFORM_CODE","121500004600236091");
            int countZcPurchaseBulletinSelf = zcProjectService.count(zcPurchaseBulletinQueryWrapperSelf);
            totalzzq = totalzzq + countZcPurchaseBulletinSelf;
        }catch (Exception e){
            e.printStackTrace();
        }
        try {
            QueryWrapper<ZcProject> zcPurchaseBulletinQueryWrapper = new QueryWrapper<ZcProject>();
            int countZcPurchaseBulletin = zcProjectService.count(zcPurchaseBulletinQueryWrapper);
            totalZFCG = totalZFCG + countZcPurchaseBulletin;
            total = total + countZcPurchaseBulletin;
        }catch (Exception e){
            e.printStackTrace();
        }
        /*土地矿权*/
        /*ZRZY_TD_CEDE_INFO*/
        try {
            QueryWrapper<ZrzyTdCedeInfo> zrzyTdCedeInfoQueryWrapper = new QueryWrapper<ZrzyTdCedeInfo>();
            zrzyTdCedeInfoQueryWrapper.likeRight("REGION_CODE","1500");
            int countZrzyTdCedeNoticeSelf = zrzyTdCedeInfoService.count(zrzyTdCedeInfoQueryWrapper);
            totalzzq = totalzzq + countZrzyTdCedeNoticeSelf;
        }catch (Exception e){
            e.printStackTrace();
        }
        try {
            QueryWrapper<ZrzyTdCedeInfo> zrzyTdCedeInfoQueryWrapper = new QueryWrapper<ZrzyTdCedeInfo>();
            int countZrzyTdCedeNotice = zrzyTdCedeInfoService.count(zrzyTdCedeInfoQueryWrapper);
            totalZRZY = countZrzyTdCedeNotice;
            total = total + countZrzyTdCedeNotice;
        }catch (Exception e){
            e.printStackTrace();
        }
        /*ZRZY_TKQ_PROJECT_INFO*/
        try {
            QueryWrapper<ZrzyTkqProjectInfo> zrzyTkqProjectInfoQueryWrapper = new QueryWrapper<ZrzyTkqProjectInfo>();
            zrzyTkqProjectInfoQueryWrapper.likeRight("REGION_CODE","1500");
            int countZrzyTdCedeNoticeSelf = zrzyTkqProjectInfoService.count(zrzyTkqProjectInfoQueryWrapper);
            totalzzq = totalzzq + countZrzyTdCedeNoticeSelf;
        }catch (Exception e){
            e.printStackTrace();
        }
        try {
            QueryWrapper<ZrzyTkqProjectInfo> zrzyTkqProjectInfoQueryWrapper = new QueryWrapper<ZrzyTkqProjectInfo>();
            int countZrzyTdCedeNotice = zrzyTkqProjectInfoService.count(zrzyTkqProjectInfoQueryWrapper);
            totalZRZY = countZrzyTdCedeNotice;
            total = total + countZrzyTdCedeNotice;
        }catch (Exception e){
            e.printStackTrace();
        }
        /*ZRZY_CKQ_PROJECT_INFO*/
        try {
            QueryWrapper<ZrzyCkqProjectInfo> zrzyTkqProjectInfoQueryWrapper = new QueryWrapper<ZrzyCkqProjectInfo>();
            zrzyTkqProjectInfoQueryWrapper.likeRight("REGION_CODE","1500");
            int countZrzyTdCedeNoticeSelf = zrzyCkqProjectInfoService.count(zrzyTkqProjectInfoQueryWrapper);
            totalzzq = totalzzq + countZrzyTdCedeNoticeSelf;
        }catch (Exception e){
            e.printStackTrace();
        }
        try {
            QueryWrapper<ZrzyCkqProjectInfo> zrzyTkqProjectInfoQueryWrapper = new QueryWrapper<ZrzyCkqProjectInfo>();
            int countZrzyTdCedeNotice = zrzyCkqProjectInfoService.count(zrzyTkqProjectInfoQueryWrapper);
            totalZRZY = countZrzyTdCedeNotice;
            total = total + countZrzyTdCedeNotice;
        }catch (Exception e){
            e.printStackTrace();
        }
        /*ZRZY_DK_PROJECT*/
        try {
            QueryWrapper<ZrzyDkProject> zrzyTkqProjectInfoQueryWrapper = new QueryWrapper<ZrzyDkProject>();
            zrzyTkqProjectInfoQueryWrapper.eq("PLATFORM_CODE","121500004600236091");
            int countZrzyTdCedeNoticeSelf = zrzyDkProjectService.count(zrzyTkqProjectInfoQueryWrapper);
            totalzzq = totalzzq + countZrzyTdCedeNoticeSelf;
        }catch (Exception e){
            e.printStackTrace();
        }
        try {
            QueryWrapper<ZrzyDkProject> zrzyTkqProjectInfoQueryWrapper = new QueryWrapper<ZrzyDkProject>();
            int countZrzyTdCedeNotice = zrzyDkProjectService.count(zrzyTkqProjectInfoQueryWrapper);
            totalZRZY = countZrzyTdCedeNotice;
            total = total + countZrzyTdCedeNotice;
        }catch (Exception e){
            e.printStackTrace();
        }
        /*ZRZY_BG_STOCK_INDEX*/
        try {
            QueryWrapper<ZrzyBgStockIndex> zrzyTkqProjectInfoQueryWrapper = new QueryWrapper<ZrzyBgStockIndex>();
            zrzyTkqProjectInfoQueryWrapper.likeRight("zone","1500");
            int countZrzyTdCedeNoticeSelf = zrzyBgStockIndexService.count(zrzyTkqProjectInfoQueryWrapper);
            totalzzq = totalzzq + countZrzyTdCedeNoticeSelf;
        }catch (Exception e){
            e.printStackTrace();
        }
        try {
            QueryWrapper<ZrzyBgStockIndex> zrzyTkqProjectInfoQueryWrapper = new QueryWrapper<ZrzyBgStockIndex>();
            int countZrzyTdCedeNotice = zrzyBgStockIndexService.count(zrzyTkqProjectInfoQueryWrapper);
            totalZRZY = countZrzyTdCedeNotice;
            total = total + countZrzyTdCedeNotice;
        }catch (Exception e){
            e.printStackTrace();
        }
        /*ZRZY_JYZB_STOCK_INDEX*/
        try {
            QueryWrapper<ZrzyJyzbStockIndex> zrzyTkqProjectInfoQueryWrapper = new QueryWrapper<ZrzyJyzbStockIndex>();
            zrzyTkqProjectInfoQueryWrapper.likeRight("zone","1500");
            int countZrzyTdCedeNoticeSelf = zrzyJyzbStockIndexService.count(zrzyTkqProjectInfoQueryWrapper);
            totalzzq = totalzzq + countZrzyTdCedeNoticeSelf;
        }catch (Exception e){
            e.printStackTrace();
        }
        try {
            QueryWrapper<ZrzyJyzbStockIndex> zrzyTkqProjectInfoQueryWrapper = new QueryWrapper<ZrzyJyzbStockIndex>();
            int countZrzyTdCedeNotice = zrzyJyzbStockIndexService.count(zrzyTkqProjectInfoQueryWrapper);
            totalZRZY = countZrzyTdCedeNotice;
            total = total + countZrzyTdCedeNotice;
        }catch (Exception e){
            e.printStackTrace();
        }

        /*CQ_SW_PROJECT  无*/
        try {
            QueryWrapper<CqGqProject> cqGqProjectQueryWrapper = new QueryWrapper<CqGqProject>();
            cqGqProjectQueryWrapper.likeRight("zone","1500");
            int countZrzyTdCedeNoticeSelf = cqGqProjectService.count(cqGqProjectQueryWrapper);
            totalzzq = totalzzq + countZrzyTdCedeNoticeSelf;
        }catch (Exception e){
            e.printStackTrace();
        }
        try {
            QueryWrapper<CqGqProject> cqGqProjectQueryWrapper = new QueryWrapper<CqGqProject>();
            int countZrzyTdCedeNotice = cqGqProjectService.count(cqGqProjectQueryWrapper);
            totalGYCQ = totalGYCQ + countZrzyTdCedeNotice;
            total = total + countZrzyTdCedeNotice;
        }catch (Exception e){
            e.printStackTrace();
        }
        /*CQ_GQ_PROJECT  无*/
        try {
            QueryWrapper<CqSwProject> cqGqProjectQueryWrapper = new QueryWrapper<CqSwProject>();
            cqGqProjectQueryWrapper.likeRight("PROJECT_DISTRICT","1500");
            int countZrzyTdCedeNoticeSelf = cqSwProjectService.count(cqGqProjectQueryWrapper);
            totalzzq = totalzzq + countZrzyTdCedeNoticeSelf;
        }catch (Exception e){
            e.printStackTrace();
        }
        try {
            QueryWrapper<CqSwProject> cqGqProjectQueryWrapper = new QueryWrapper<CqSwProject>();
            int countZrzyTdCedeNotice = cqSwProjectService.count(cqGqProjectQueryWrapper);
            totalGYCQ = totalGYCQ + countZrzyTdCedeNotice;
            total = total + countZrzyTdCedeNotice;
        }catch (Exception e){
            e.printStackTrace();
        }

        try {
            totalYC = ycNoticeService.count();
        }catch (Exception e){
            e.printStackTrace();
        }

        totalEntryData.setTotal(total);
        totalEntryData.setTotalzzq(totalzzq);
        if(total > totalzzq){
            totalEntryData.setTotalms(total - totalzzq);
        }
        homePageDataCenter.setTotalEntryData(totalEntryData);

        /*成交数据总量*/
        /*成交数据总量*/
        /*成交数据总量*/
        /*成交数据总量*/
        TotalTransactionData totalTransactionData = new TotalTransactionData();
        int totalTransactionzzq = 0;
        int totalTransaction = 0;

        /*GC_BIDPUBLICITY*/
        try {
            QueryWrapper<GcBidpublicity> GcBidpublicityQueryWrapperSelf = new QueryWrapper<GcBidpublicity>();
            GcBidpublicityQueryWrapperSelf.eq("PLATFORM_CODE","121500004600236091");
            int countGcProjectSelf = gcBidpublicityService.count(GcBidpublicityQueryWrapperSelf);
            totalTransactionzzq = totalTransactionzzq + countGcProjectSelf;
        }catch (Exception e){
            e.printStackTrace();
        }
        try {
            QueryWrapper<GcBidpublicity> gcProjectQueryWrapper = new QueryWrapper<GcBidpublicity>();
            int countGcProject = gcBidpublicityService.count(gcProjectQueryWrapper);
            totalTransaction = totalTransaction + countGcProject;
        }catch (Exception e){
            e.printStackTrace();
        }
        try {
            QueryWrapper<ZcBidpublicity> zcBidpublicityQueryWrapper = new QueryWrapper<ZcBidpublicity>();
            zcBidpublicityQueryWrapper.eq("PLATFORM_CODE","121500004600236091");
            int countGcProjectSelf = zcBidpublicityService.count(zcBidpublicityQueryWrapper);
            totalTransactionzzq = totalTransactionzzq + countGcProjectSelf;
        }catch (Exception e){
            e.printStackTrace();
        }
        try {
            QueryWrapper<ZcBidpublicity> zcBidpublicityQueryWrapper = new QueryWrapper<ZcBidpublicity>();
            int countGcProject = zcBidpublicityService.count(zcBidpublicityQueryWrapper);
            totalTransaction = totalTransaction + countGcProject;
        }catch (Exception e){
            e.printStackTrace();
        }


        /*ZRZY_TD_BIDWINNOTICE*/
        try {
            QueryWrapper<ZrzyTdBidwinnotice> zcBidpublicityQueryWrapper = new QueryWrapper<ZrzyTdBidwinnotice>();
            zcBidpublicityQueryWrapper.likeRight("REGION_CODE","1500");
            int countGcProjectSelf = zrzyTdBidwinnoticeService.count(zcBidpublicityQueryWrapper);
            totalTransactionzzq = totalTransactionzzq + countGcProjectSelf;
        }catch (Exception e){
            e.printStackTrace();
        }
        try {
            QueryWrapper<ZrzyTdBidwinnotice> zcBidpublicityQueryWrapper = new QueryWrapper<ZrzyTdBidwinnotice>();
            int countGcProject = zrzyTdBidwinnoticeService.count(zcBidpublicityQueryWrapper);
            totalTransaction = totalTransaction + countGcProject;
        }catch (Exception e){
            e.printStackTrace();
        }

        /*ZRZY_TKQ_BIDWINNOTICE*/
        try {
            QueryWrapper<ZrzyTkqBidwinnotice> zcBidpublicityQueryWrapper = new QueryWrapper<ZrzyTkqBidwinnotice>();
            zcBidpublicityQueryWrapper.likeRight("REGION_CODE","1500");
            int countGcProjectSelf = zrzyTkqBidwinnoticeService.count(zcBidpublicityQueryWrapper);
            totalTransactionzzq = totalTransactionzzq + countGcProjectSelf;
        }catch (Exception e){
            e.printStackTrace();
        }
        try {
            QueryWrapper<ZrzyTkqBidwinnotice> zcBidpublicityQueryWrapper = new QueryWrapper<ZrzyTkqBidwinnotice>();
            int countGcProject = zrzyTkqBidwinnoticeService.count(zcBidpublicityQueryWrapper);
            totalTransaction = totalTransaction + countGcProject;
        }catch (Exception e){
            e.printStackTrace();
        }
        /*ZRZY_CKQ_BIDWINNOTICE*/
        try {
            QueryWrapper<ZrzyCkqBidwinnotice> zcBidpublicityQueryWrapper = new QueryWrapper<ZrzyCkqBidwinnotice>();
            zcBidpublicityQueryWrapper.likeRight("REGION_CODE","1500");
            int countGcProjectSelf = zrzyCkqBidwinnoticeService.count(zcBidpublicityQueryWrapper);
            totalTransactionzzq = totalTransactionzzq + countGcProjectSelf;
        }catch (Exception e){
            e.printStackTrace();
        }
        try {
            QueryWrapper<ZrzyCkqBidwinnotice> zcBidpublicityQueryWrapper = new QueryWrapper<ZrzyCkqBidwinnotice>();
            int countGcProject = zrzyCkqBidwinnoticeService.count(zcBidpublicityQueryWrapper);
            totalTransaction = totalTransaction + countGcProject;
        }catch (Exception e){
            e.printStackTrace();
        }
        /*ZRZY_DK_BINWIN_NOTICE*/

        try {
            QueryWrapper<ZrzyDkBinwinNotice> zcBidpublicityQueryWrapper = new QueryWrapper<ZrzyDkBinwinNotice>();
            zcBidpublicityQueryWrapper.likeRight("zone","1500");
            int countGcProjectSelf = zrzyDkBinwinNoticeService.count(zcBidpublicityQueryWrapper);
            totalTransactionzzq = totalTransactionzzq + countGcProjectSelf;
        }catch (Exception e){
            e.printStackTrace();
        }
        try {
            QueryWrapper<ZrzyDkBinwinNotice> zcBidpublicityQueryWrapper = new QueryWrapper<ZrzyDkBinwinNotice>();
            int countGcProject = zrzyDkBinwinNoticeService.count(zcBidpublicityQueryWrapper);
            totalTransaction = totalTransaction + countGcProject;
        }catch (Exception e){
            e.printStackTrace();
        }
        /*ZRZY_BG_BIDWIN_NOTICE*/
        try {
            int countGcProjectSelf = zrzyBgBidwinNoticeService.countNoticeByRegionCode("1500");
            totalTransactionzzq = totalTransactionzzq + countGcProjectSelf;
        }catch (Exception e){
            e.printStackTrace();
        }
        try {
            QueryWrapper<ZrzyBgBidwinNotice> zcBidpublicityQueryWrapper = new QueryWrapper<ZrzyBgBidwinNotice>();
            int countGcProject = zrzyBgBidwinNoticeService.count(zcBidpublicityQueryWrapper);
            totalTransaction = totalTransaction + countGcProject;
        }catch (Exception e){
            e.printStackTrace();
        }
        /*ZRZY_JYZB_BIDWIN_NOTICE*/
        try {
            int countGcProjectSelf = zrzyJyzbBidwinNoticeService.countNoticeByRegionCode("1500");
            totalTransactionzzq = totalTransactionzzq + countGcProjectSelf;
        }catch (Exception e){
            e.printStackTrace();
        }
        try {
            QueryWrapper<ZrzyJyzbBidwinNotice> zcBidpublicityQueryWrapper = new QueryWrapper<ZrzyJyzbBidwinNotice>();
            int countGcProject = zrzyJyzbBidwinNoticeService.count(zcBidpublicityQueryWrapper);
            totalTransaction = totalTransaction + countGcProject;
        }catch (Exception e){
            e.printStackTrace();
        }

        /*CQ_SW_BARGAIN_RESULT*/
        try {
            int countGcProjectSelf = cqSwBargainResultService.countByRegionCode("1500");
            totalTransactionzzq = totalTransactionzzq + countGcProjectSelf;
        }catch (Exception e){
            e.printStackTrace();
        }
        try {
            QueryWrapper<CqSwBargainResult> gcProjectQueryWrapper = new QueryWrapper<CqSwBargainResult>();
            int countGcProject = cqSwBargainResultService.count(gcProjectQueryWrapper);
            totalTransaction = totalTransaction + countGcProject;
        }catch (Exception e){
            e.printStackTrace();
        }
        /*CQ_GQ_BARGAIN_RESULT*/
        try {
            QueryWrapper<CqGqBargainResult> GcBidpublicityQueryWrapperSelf = new QueryWrapper<CqGqBargainResult>();
            GcBidpublicityQueryWrapperSelf.likeRight("REGION_CODE","1500");
            int countGcProjectSelf = cqGqBargainResultService.count(GcBidpublicityQueryWrapperSelf);
            totalTransactionzzq = totalTransactionzzq + countGcProjectSelf;
        }catch (Exception e){
            e.printStackTrace();
        }
        try {
            QueryWrapper<CqGqBargainResult> gcProjectQueryWrapper = new QueryWrapper<CqGqBargainResult>();
            int countGcProject = cqGqBargainResultService.count(gcProjectQueryWrapper);
            totalTransaction = totalTransaction + countGcProject;
        }catch (Exception e){
            e.printStackTrace();
        }

        totalTransactionData.setTotal(totalTransaction);
        totalTransactionData.setTotalzzq(totalTransactionzzq);
        if(totalTransaction > totalTransactionzzq){
            totalTransactionData.setTotalms(totalTransaction - totalTransactionzzq);
        }
        homePageDataCenter.setTotalTransactionData(totalTransactionData);
        /*交易主体数据总量*/
        /*交易主体数据总量*/
        /*交易主体数据总量*/
        /*交易主体数据总量*/
        TotalAmountTransactionData totalAmountTransactionData = new TotalAmountTransactionData();
        try {
            /*
             *主体数量
             */
            int countTotal = ztLegalinfoService.count();
            totalAmountTransactionData.setTotal(countTotal);
            QueryWrapper<ZtLegalinfo> ztLegalinfoQueryWrapper = new QueryWrapper<ZtLegalinfo>();
            ztLegalinfoQueryWrapper.likeRight("REGION_CODE","15");
            int countzzq = ztLegalinfoService.count(ztLegalinfoQueryWrapper);
            totalAmountTransactionData.setTotalzzq(countzzq);
            if(countTotal > countzzq){
                totalAmountTransactionData.setTotalms(countTotal - countzzq);
            }
        }catch (Exception e){
            e.printStackTrace();
        }
        homePageDataCenter.setTotalAmountTransactionData(totalAmountTransactionData);
        return homePageDataCenter;
    }


}
